OCSPRespBuilder (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.cert.ocsp

## Class OCSPRespBuilder

- java.lang.Object
- - org.bouncycastle.cert.ocsp.OCSPRespBuilder

-     public class OCSPRespBuilder
      extends java.lang.Object

  base generator for an OCSP response - at the moment this only supports the generation of responses containing BasicOCSP responses.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `INTERNAL_ERROR`
    `static int` | `MALFORMED_REQUEST`
    `static int` | `SIG_REQUIRED`
    `static int` | `SUCCESSFUL`
    `static int` | `TRY_LATER`
    `static int` | `UNAUTHORIZED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OCSPRespBuilder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `OCSPResp` | `build(int status, java.lang.Object response)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SUCCESSFUL

          public static final int SUCCESSFUL

      See Also:
        Constant Field Values

    - #### MALFORMED_REQUEST

          public static final int MALFORMED_REQUEST

      See Also:
        Constant Field Values

    - #### INTERNAL_ERROR

          public static final int INTERNAL_ERROR

      See Also:
        Constant Field Values

    - #### TRY_LATER

          public static final int TRY_LATER

      See Also:
        Constant Field Values

    - #### SIG_REQUIRED

          public static final int SIG_REQUIRED

      See Also:
        Constant Field Values

    - #### UNAUTHORIZED

          public static final int UNAUTHORIZED

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### OCSPRespBuilder

          public OCSPRespBuilder()

  - ### Method Detail

    - #### build

          public OCSPResp build(int status,
                       java.lang.Object response)
                         throws OCSPException

      Throws:
        `OCSPException`